cgGetLockingPolicy(3)

NAME
cgGetLockingPolicy - get locking policy

SYNOPSIS
  #include <Cg/cg.h>

  CGenum cgGetLockingPolicy( void );

PARAMETERS
None.

RETURN VALUES
Returns an enumerant indicating the current locking policy.

DESCRIPTION
cgGetLockingPolicy returns an enumerant indicating the current locking policy for the library. See cgSetLockingPolicy for more information.

EXAMPLES
  CGenum currentLockingPolicy = cgGetLockingPolicy();

ERRORS
None.

HISTORY
cgGetLockingPolicy was introduced in Cg 2.0.

SEE ALSO
cgSetLockingPolicy